Skip to content
Go to Micro

Get a webhook

client.webhooks.get(stringwebhookID, WebhookGetParams { teamId } params?, RequestOptionsoptions?): Webhook { id, created_at, enabled, 8 more }
GET/v2/webhooks/{teamId}/{webhookId}

Get a webhook

ParametersExpand Collapse
webhookID: string
formatuuid
params: WebhookGetParams { teamId }
teamId?: string
formatuuid
ReturnsExpand Collapse
Webhook { id, created_at, enabled, 8 more }

A registered webhook endpoint.

id: string
formatuuid
created_at: string
formatdate-time
enabled: boolean

Disabled webhooks are skipped at delivery time.

name: string
team_id: string
formatuuid
url: string

Endpoint events are delivered to.

formaturi
verified: boolean

True once the endpoint has completed the verification handshake.

description?: string | null
updated_at?: string | null
formatdate-time
verification_token?: string

Stable token replayed to the endpoint (as the micro_hook_token query param) during the verification handshake. The endpoint may check it to confirm the request originated from Micro.

verified_at?: string | null
formatdate-time

Get a webhook

import Micro from '@micro-so/sdk';

const client = new Micro({
  teamID: 'My Team ID',
  apiKey: process.env['MICRO_API_KEY'], // This is the default and can be omitted
});

const webhook = await client.webhooks.get('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');

console.log(webhook.id);
{
  "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "created_at": "2019-12-27T18:11:19.117Z",
  "enabled": true,
  "name": "name",
  "team_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "url": "https://example.com",
  "verified": true,
  "description": "description",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "verification_token": "verification_token",
  "verified_at": "2019-12-27T18:11:19.117Z"
}
Returns Examples
{
  "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "created_at": "2019-12-27T18:11:19.117Z",
  "enabled": true,
  "name": "name",
  "team_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "url": "https://example.com",
  "verified": true,
  "description": "description",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "verification_token": "verification_token",
  "verified_at": "2019-12-27T18:11:19.117Z"
}